---
title: "Fincaraiz API: Fast Search | Perceptlayer"
description: "Fast Search from Fincaraiz as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/fincaraiz/fast-search
---

[APIs](https://perceptlayer.com/apis) / [Fincaraiz](https://perceptlayer.com/apis/fincaraiz) / Fast Search

# Fincaraiz: Fast Search

Fast Search from Fincaraiz as JSON. 1 credit per successful call.

GET `/v1/fincaraiz/fast-search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `operation_type_id` | integer | Optional | 1, 2 |
| `property_type_id` | string | Optional | Any |
| `minPrice` | integer | Optional | Any |
| `maxPrice` | integer | Optional | Any |
| `m2Min` | integer | Optional | Any |
| `m2Max` | integer | Optional | Any |
| `bedrooms` | string | Optional | Any |
| `bathrooms` | string | Optional | Any |
| `rooms` | string | Optional | Any |
| `stratum` | string | Optional | Any |
| `privateOwner` | string | Optional | Any |
| `order` | integer | Optional | Any |
| `owner_id` | integer | Optional | Any |
| `rows` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `locations` | list of object | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/fincaraiz/fast-search?operation_type_id=1&rows=10" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/fincaraiz?try=fast-search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
